Package org.drinkless.tdlib

# Class TdApi.FactCheck

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FactCheck

Enclosing class:
  `TdApi`

public static class TdApi.FactCheck extends TdApi.Object
Describes a fact-check added to the message by an independent checker.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `countryCode`
  A two-letter ISO 3166-1 alpha-2 country code of the country for which the fact-check is shown.
  `TdApi.FormattedText`
  `text`
  Text of the fact-check.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactCheck()`
  Describes a fact-check added to the message by an independent checker.
  `FactCheck(TdApi.FormattedText text, String countryCode)`
  Describes a fact-check added to the message by an independent checker.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text of the fact-check.

  - ### countryCode

    public String countryCode
    A two-letter ISO 3166-1 alpha-2 country code of the country for which the fact-check is shown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FactCheck

    public FactCheck()
    Describes a fact-check added to the message by an independent checker.

  - ### FactCheck

    public FactCheck(TdApi.FormattedText text, String countryCode)
    Describes a fact-check added to the message by an independent checker.
    Parameters:
      `text` - Text of the fact-check.
      `countryCode` - A two-letter ISO 3166-1 alpha-2 country code of the country for which the fact-check is shown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR